#ifndef TMCONFIGUREEQACTIVE_H
#define TMCONFIGUREEQACTIVE_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButton.h>
#include <TGButtonGroup.h>

class TMConfigureEqActive : public TGTransientFrame {
    
  RQ_OBJECT("TMConfigureEqActive")

 public:
    
  TMConfigureEqActive(const TGWindow* p, const TGWindow *main);
  virtual ~TMConfigureEqActive();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
		
  private:

  const TGWindow        *fSPD;
  TGGroupFrame          *fTop;
  TGCompositeFrame	*fF[4];
  TGCheckButton         *fCheck[20];

  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5;
  TGTextButton          *fTextB[3];
  TGTextButton          *fTextBall[2];
  Bool_t                fLetUserCloseWindow;

  enum EEvents {
    BUTTON_APPLY,
    BUTTON_CANCEL,
    BUTTON_HELP,
    BUTTON_SETALL,
    BUTTON_CLEARALL,
    CHECK_0, CHECK_1, CHECK_2, CHECK_3, CHECK_4, 
    CHECK_5, CHECK_6, CHECK_7, CHECK_8, CHECK_9, 
    CHECK_10, CHECK_11, CHECK_12, CHECK_13, CHECK_14, 
    CHECK_15, CHECK_16, CHECK_17, CHECK_18, CHECK_19
  };

  ClassDef(TMConfigureEqActive, 1);
};

#endif
